package com.sifang.modules.smallprogram;

import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

public class UsedMaterialReq {

    @NotBlank(message = "entryId不能为空")
    private String entryId;

    private String barcode;

    private String type;

    private String code;

    private String name;

    private String spec;

    private String flag;

    private String warehouseId;

    private String materialType;//物料类型 1.逆变器 3.组件

    private String materialModel;//物料型号

    private List<UsedMaterialDetailReq> materialList;

    private String projectId;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getMaterialModel() {
        return materialModel;
    }

    public void setMaterialModel(String materialModel) {
        this.materialModel = materialModel;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public List<UsedMaterialDetailReq> getMaterialList() {
        return materialList;
    }

    public void setMaterialList(List<UsedMaterialDetailReq> materialList) {
        this.materialList = materialList;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }
}
